"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.abstractWalletConnector = abstractWalletConnector;
const agw_client_1 = require("@abstract-foundation/agw-client");
const cross_app_connect_1 = require("@privy-io/cross-app-connect");
const chains_1 = require("viem/chains");
const constants_js_1 = require("./constants.js");
const VALID_CHAINS = {
    [chains_1.abstractTestnet.id]: chains_1.abstractTestnet,
};
function abstractWalletConnector(rkDetails) {
    return (params) => {
        const connector = (0, cross_app_connect_1.toPrivyWalletConnector)({
            iconUrl: constants_js_1.ICON_URL,
            id: constants_js_1.AGW_APP_ID,
            name: 'Abstract',
        })(params);
        const getAbstractProvider = async (parameters) => {
            const chainId = parameters?.chainId ?? chains_1.abstractTestnet.id;
            const chain = VALID_CHAINS[chainId];
            if (!chain) {
                throw new Error('Unsupported chain');
            }
            const provider = await connector.getProvider(parameters);
            return (0, agw_client_1.transformEIP1193Provider)({
                provider,
                chain,
                isPrivyCrossApp: true,
            });
        };
        const abstractConnector = {
            ...connector,
            ...rkDetails,
            getProvider: getAbstractProvider,
            type: 'injected',
            id: 'xyz.abs.privy',
        };
        return abstractConnector;
    };
}
//# sourceMappingURL=abstractWalletConnector.js.map