"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractWalletProvider = void 0;
const react_query_1 = require("@tanstack/react-query");
const react_1 = require("react");
const viem_1 = require("viem");
const chains_1 = require("viem/chains");
const wagmi_1 = require("wagmi");
const abstractWalletConnector_js_1 = require("./abstractWalletConnector.js");
const AbstractWalletProvider = ({ config = {
    testnet: false,
    transport: (0, viem_1.http)(),
}, children, }) => {
    const { testnet = false, transport } = config;
    const chain = testnet ? chains_1.abstractTestnet : chains_1.abstractTestnet;
    const wagmiConfig = (0, wagmi_1.createConfig)({
        chains: [chain],
        ssr: true,
        connectors: [(0, abstractWalletConnector_js_1.abstractWalletConnector)()],
        transports: {
            [chain.id]: transport ?? (0, viem_1.http)(),
        },
        multiInjectedProviderDiscovery: false,
    });
    const queryClient = new react_query_1.QueryClient();
    return (react_1.default.createElement(wagmi_1.WagmiProvider, { config: wagmiConfig },
        react_1.default.createElement(react_query_1.QueryClientProvider, { client: queryClient }, children)));
};
exports.AbstractWalletProvider = AbstractWalletProvider;
//# sourceMappingURL=agwProvider.js.map