import { PrivyProvider } from '@privy-io/react-auth';
import { QueryClient, QueryClientProvider } from '@tanstack/react-query';
import React from 'react';
import {} from 'viem';
import { abstractTestnet } from 'viem/chains';
import { createConfig, http, WagmiProvider } from 'wagmi';
import { InjectWagmiConnector } from './injectWagmiConnector.js';
export const AbstractPrivyProvider = ({ testnet = false, transport, ...props }) => {
    const chain = testnet ? abstractTestnet : abstractTestnet;
    const wagmiConfig = createConfig({
        chains: [chain],
        ssr: true,
        connectors: [],
        transports: {
            [chain.id]: transport ?? http(),
        },
        multiInjectedProviderDiscovery: false,
    });
    const queryClient = new QueryClient();
    return (React.createElement(PrivyProvider, { ...props },
        React.createElement(WagmiProvider, { config: wagmiConfig },
            React.createElement(QueryClientProvider, { client: queryClient },
                React.createElement(InjectWagmiConnector, { testnet: testnet, transport: transport ?? http() }, props.children)))));
};
//# sourceMappingURL=abstractPrivyProvider.js.map